local FOLDER_NAME, private = ...
local _G = _G
local LS = _G.LibStub
local L = LS("AceLocale-3.0"):GetLocale(FOLDER_NAME)

local data = {
	Cloth = {
		van = {
			id = {2589, 2996, 2592, 2997, 4306, 4305, 4338, 4339, 14256, 14047, 14048, 14342},
			itype = {1, 2, 1, 2, 1, 2, 1, 2, 0, 0, 2, 0},
			strings = {L["Linen"], L["Linen"], L["Wool"], L["Wool"], L["Silk"], L["Silk"], L["Mageweave"], L["Mageweave"], L["Felcloth"], L["Runecloth"], L["Runecloth"], L["Mooncloth"]},
			short = {L["S_Linen"], L["S_Linen"], L["S_Wool"], L["S_Wool"], L["S_Silk"], L["S_Silk"], L["S_Mageweave"], L["S_Mageweave"], L["S_Felcloth"], L["S_Runecloth"], L["S_Runecloth"], L["S_Mooncloth"]},
			color = {"deb887", "deb887", "ffffd7", "ffffd7", "ebc2eb", "ebc2eb", "dbaca9", "dbaca9", "d05567", "ed6e97", "ed6e97", "e0ffff"}
		},
		bc = {
			id = {21877, 21840, 21842, 21845, 24271, 24272, 21844},
			itype = {1, 2, 2, 0, 0, 0, 0},
			strings = {L["Netherweave"], L["Netherweave"], L["Imbued Netherweave"], L["Primal Mooncloth"], L["Spellcloth"], L["Shadowcloth"], L["Soulcloth"]},
			short = {L["S_Netherweave"], L["S_Netherweave"], L["S_Imbued Netherweave"], L["S_Primal Mooncloth"], L["S_Spellcloth"], L["S_Shadowcloth"], L["S_Soulcloth"]},
			color = {"ff67bc", "ff67bc", "9e7bff", "ac8ff9", "dc381f", "58b003", "43c6db"}
		},
		lk = {
			id = {33470, 41510, 41511, 41593, 41594, 41595},
			itype = {1, 2, 2, 0, 0, 0},
			strings = {L["Frostweave"], L["Frostweave"], L["Imbued Frostweave"], L["Ebonweave"], L["Moonshroud"], L["Spellweave"]},
			short = {L["S_Frostweave"], L["S_Frostweave"], L["S_Imbued Frostweave"], L["S_Ebonweave"], L["S_Moonshroud"], L["S_Spellweave"]},
			color = {"447bdb", "447bdb", "2690bd", "87afc7", "b165ff", "df3935"}
		},
		cata = {
			id = {53010, 53643, 54440},
			itype = {1, 2, 0},
			strings = {L["Embersilk"], L["Embersilk"], L["Dreamcloth"]},
			short = {L["S_Embersilk"], L["S_Embersilk"], L["S_Dreamcloth"]},
			color = {"bb9694", "bb9694", "4e8975"}
		},
		mop = {
			id = {72988, 82441, 82447, 98619},
			itype = {1, 2, 0, 1},
			strings = {L["Windwool"], L["Windwool"], L["Imperial Silk"], L["Celestial"]},
			short = {L["S_Windwool"], L["S_Windwool"], L["S_Imperial Silk"], L["S_Celestial"]},
			color = {"3b9c9c", "3b9c9c", "f47873", "306eff"}
		},
		wod = {
			id = {111557, 111556},
			itype = {0, 1},
			strings = {L["Sumptuous Fur"], L["Hexweave"]},
			short = {L["S_Sumptuous Fur"], L["S_Hexweave"]},
			color = {"996666", "85a089"}
		},
		leg = {
			id = {124437, 127004},
			itype = {0, 0},
			strings = {L["Shal'dorei Silk"], L["Imbued Silkweave"]},
			short = {L["S_Shal'dorei Silk"], L["S_Imbued Silkweave"]},
			color = {"c474dc", "f04377"}
		},
	},
	Elements = {
		bc = {
			id = {22572, 22451, 22574, 21884, 22575, 21886, 22576, 22457, 22573, 22452, 22578, 21885, 22577, 22456, 23571, 23572, 30183},
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Mote of Air"], L["Primal Air"], L["Mote of Fire"], L["Primal Fire"], L["Mote of Life"], L["Primal Life"], L["Mote of Mana"], L["Primal Mana"], L["Mote of Earth"], L["Primal Earth"], L["Mote of Water"], L["Primal Water"], L["Mote of Shadow"], L["Primal Shadow"], L["Primal Might"], L["Primal Nether"], L["Nether Vortex"]},
			short = {L["S_Mote of Air"], L["S_Primal Air"], L["S_Mote of Fire"], L["S_Primal Fire"], L["S_Mote of Life"], L["S_Primal Life"], L["S_Mote of Mana"], L["S_Primal Mana"], L["S_Mote of Earth"], L["S_Primal Earth"], L["S_Mote of Water"], L["S_Primal Water"], L["S_Mote of Shadow"], L["S_Primal Shadow"], L["S_Primal Might"], L["S_Primal Nether"], L["S_Nether Vortex"]},
			color = {"99cccc", "99cccc", "ff3300", "ff3300", "33cc00", "33cc00", "33cccc", "33cccc", "996600", "996600", "3399ff", "3399ff", "9933ff", "9933ff", "0066ff", "ffcc00", "ff9900"}
		},
		lk = {
			id = {37700, 35623, 37702, 36860, 37704, 35625, 37701, 35624, 37705, 35622, 37703, 35627, 43102},
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Crystallized Air"], L["Eternal Air"], L["Crystallized Fire"], L["Eternal Fire"], L["Crystallized Life"], L["Eternal Life"], L["Crystallized Earth"], L["Eternal Earth"], L["Crystallized Water"], L["Eternal Water"], L["Crystallized Shadow"], L["Eternal Shadow"], L["Frozen Orb"]},
			short = {L["S_Crystallized Air"], L["S_Eternal Air"], L["S_Crystallized Fire"], L["S_Eternal Fire"], L["S_Crystallized Life"], L["S_Eternal Life"], L["S_Crystallized Earth"], L["S_Eternal Earth"], L["S_Crystallized Water"], L["S_Eternal Water"], L["S_Crystallized Shadow"], L["S_Eternal Shadow"], L["S_Frozen Orb"]},
			color = {"99cccc", "99cccc", "ff3300", "ff3300", "33cc00", "33cc00", "996600", "996600", "3399ff", "3399ff", "9933ff", "9933ff", "3377aa"}
		},
		cata = {
			id = {52328, 52325, 52329, 52327, 52326, 52330},
			itype = {0, 0, 0, 0, 0, 0},
			strings = {L["Volatile Air"], L["Volatile Fire"], L["Volatile Life"], L["Volatile Earth"], L["Volatile Water"], L["Volatile Shadow"]},
			short = {L["S_Volatile Air"], L["S_Volatile Fire"], L["S_Volatile Life"], L["S_Volatile Earth"], L["S_Volatile Water"], L["S_Volatile Shadow"]},
			color = {"99cccc", "ff3300", "33cc00", "996600", "3399ff", "9933ff", "3377aa", "338888"}
		},
		mop = {
			id = {89112, 76061},
			itype = {0, 0},
			strings = {L["Mote of Harmony"], L["Spirit of Harmony"]},
			short = {L["S_Mote of Harmony"], L["S_Spirit of Harmony"]},
			color = {"526eff", "528eff"}
		},
		wod = {
			id = {113264, 113263, 113262, 113261, 120945, 118472, 127759},
			itype = {0, 0, 0, 0, 0, 0, 0},
			strings = {L["Sorcerous Air"], L["Sorcerous Earth"], L["Sorcerous Water"], L["Sorcerous Fire"], L["Primal Spirit"], L["Savage Blood"], L["Felblight"]},
			short = {L["S_Sorcerous Air"], L["S_Sorcerous Earth"], L["S_Sorcerous Water"], L["S_Sorcerous Fire"], L["S_Primal Spirit"], L["S_Savage Blood"], L["S_Felblight"]},
			color = {"99cccc", "996600", "3399ff", "ff5719", "f88017", "ff3030", "66cd00"}
		},
		leg = {
			id = {124123, 124122, 124124, 124444},
			itype = {0, 0, 0, 0},
			strings = {L["Demonfire"], L["Leyfire"], L["Blood of Sargeras"], L["Infernal Brimstone"]},
			short = {L["S_Demonfire"], L["S_Leyfire"], L["S_Blood of Sargeras"], L["S_Infernal Brimstone"]},
			color = {"80e619", "4db8ff", "44e114", "cff028"}
		},
	},
	Enchanting = {
		van = {
			id = {10940, 10938, 10939, 11083, 10998, 11082, 10978, 11084, 11137, 11134, 11135, 11138, 11139, 11176, 11174, 11175, 11177, 11178, 16204, 16202, 16203, 14343, 14344 },
			itype = {0, 3, 4, 0, 3, 4, 5, 6, 0, 3, 4, 5, 6, 0, 3, 4, 5, 6, 0, 3, 4, 5, 6 },
			strings = {L["Strange Dust"], L["Magic Essence"], L["Magic Essence"], L["Soul Dust"], L["Astral Essence"], L["Astral Essence"], L["Glimmering Shard"], L["Glimmering Shard"], L["Vision Dust"], L["Mystic Essence"], L["Mystic Essence"], L["Glowing Shard"], L["Glowing Shard"], L["Dream Dust"], L["Nether Essence"], L["Nether Essence"], L["Radiant Shard"], L["Radiant Shard"], L["Illusion Dust"], L["Eternal Essence"], L["Eternal Essence"], L["Brilliant Shard"], L["Brilliant Shard"]},
			short = {L["S_Strange Dust"], L["S_Magic Essence"], L["S_Magic Essence"], L["S_Soul Dust"], L["S_Astral Essence"], L["S_Astral Essence"], L["S_Glimmering Shard"], L["S_Glimmering Shard"], L["S_Vision Dust"], L["S_Mystic Essence"], L["S_Mystic Essence"], L["S_Glowing Shard"], L["S_Glowing Shard"], L["S_Dream Dust"], L["S_Nether Essence"], L["S_Nether Essence"], L["S_Radiant Shard"], L["S_Radiant Shard"], L["S_Illusion Dust"], L["S_Eternal Essence"], L["S_Eternal Essence"], L["S_Brilliant Shard"], L["S_Brilliant Shard"]},
			color = {"7fffd4", "1589ff", "1589ff", "6960ec", "ffb249", "ffb249", "43c6db", "43c6db", "6beeff", "b93b8f", "b93b8f", "ffbdff", "ffbdff", "e8adaa", "77ff35", "77ff35", "c45aec", "c45aec", "c48793", "6698ff", "6698ff", "ffcc66", "ffcc66"}
		},
		bc = {
			id = {22445, 22447, 22446, 22448, 22449, 22450 },
			itype = {0, 3, 4, 5, 6, 0 },
			strings = {L["Arcane Dust"], L["Planar Essence"], L["Planar Essence"], L["Prismatic Shard"], L["Prismatic Shard"], L["Void Crystal"]},
			short = {L["S_Arcane Dust"], L["S_Planar Essence"], L["S_Planar Essence"], L["S_Prismatic Shard"], L["S_Prismatic Shard"], L["S_Void Crystal"]},
			color = {"ff3fb4", "b048b5", "b048b5", "368bc1", "368bc1", "b65dff"}
		},
		lk = {
			id = {34054, 34056, 34055, 34053, 34052, 34057 },
			itype = {0, 3, 4, 5, 6, 0 },
			strings = {L["Infinite Dust"], L["Cosmic Essence"], L["Cosmic Essence"], L["Dream Shard"], L["Dream Shard"], L["Abyss Crystal"]},
			short = {L["S_Infinite Dust"], L["S_Cosmic Essence"], L["S_Cosmic Essence"], L["S_Dream Shard"], L["S_Dream Shard"], L["S_Abyss Crystal"]},
			color = {"5cb3ff", "bb5edb", "bb5edb", "82cafa", "82cafa", "3090c7"}
		},
		cata = {
			id = {52555, 52718, 52719, 52720, 52721, 52722 },
			itype = {0, 3, 4, 5, 6, 0 },
			strings = {L["Hypnotic Dust"], L["Celestial Essence"], L["Celestial Essence"], L["Heavenly Shard"], L["Heavenly Shard"], L["Maelstrom Crystal"]},
			short = {L["S_Hypnotic Dust"], L["S_Celestial Essence"], L["S_Celestial Essence"], L["S_Heavenly Shard"], L["S_Heavenly Shard"], L["S_Maelstrom Crystal"]},
			color = {"7fffd4", "76e0f5", "76e0f5", "f77959", "f77959", "7959f7"}
		},
		mop = {
			id = {74249, 74250, 74252, 74247, 105718, 74248, 80433, 94289, 102218 },
			itype = {0, 0, 5, 0, 0, 0, 0, 0, 0 },
			strings = {L["Spirit Dust"], L["Mysterious Essence"], L["Ethereal Shard"], L["Ethereal Shard"], L["Sha Crystal Fragment"], L["Sha Crystal"], L["Blood Spirit"], L["Haunting Spirit"], L["Spirit of War"]},
			short = {L["S_Spirit Dust"], L["S_Mysterious Essence"], L["S_Ethereal Shard"], L["S_Ethereal Shard"], L["S_Sha Crystal Fragment"], L["S_Sha Crystal"], L["S_Blood Spirit"], L["S_Haunting Spirit"], L["S_Spirit of War"]},
			color = {"ffc9a9", "14ff14", "00aaff", "00aaff", "aa00ff", "aa00ff", "f34d49", "ff7eff", "eb2400"}
		},
		wod = {
			id = {109693, 111245, 115504, 113588 },
			strings = {L["Draenic Dust"], L["Luminous Shard"], L["Fractured Temporal Crystal"], L["Temporal Crystal"]},
			itype = {0, 0, 0, 0 },
			short = {L["S_Draenic Dust"], L["S_Luminous Shard"], L["S_Fractured Temporal Crystal"], L["S_Temporal Crystal"]},
			color = {"ffff4d", "e5c100", "4dff4d", "4dff4d"}
		},
		leg = {
			id = {124440, 124441, 124442 },
			strings = {L["Arkhana"], L["Leylight Shard"], L["Chaos Crystal"]},
			itype = {0, 0, 0, 0 },
			short = {L["S_Arkhana"], L["S_Leylight Shard"], L["S_Chaos Crystal"]},
			color = {"8cd5e1", "e14fbb", "00cf0e"}
		},
	},
	Gems = {
		van = {
			id = {774, 5498, 818, 1210, 5500, 1206, 1705, 1529, 7971, 13929, 24478, 24479, 3864, 7909, 11382, 7910, 12361, 12799, 12800, 12364, 12363 },
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Malachite"], L["Small Lustrous Pearl"], L["Tigerseye"], L["Shadowgem"], L["Iridescent Pearl"], L["Moss Agate"], L["Lesser Moonstone"], L["Jade"], L["Citrine"], L["Golden Pearl"], L["Black Pearl"], L["Shadow Pearl"], L["Jaggal Pearl"], L["Aquamarine"], L["Star Ruby"], L["Blood of the Mountain"], L["Blue Sapphire"], L["Large Opal"], L["Azerothian Diamond"], L["Huge Emerald"], L["Arcane Crystal"]},
			short = {L["S_Malachite"], L["S_Small Lustrous Pearl"], L["S_Tigerseye"], L["S_Shadowgem"], L["S_Iridescent Pearl"], L["S_Moss Agate"], L["S_Lesser Moonstone"], L["S_Jade"], L["S_Citrine"], L["S_Golden Pearl"], L["S_Black Pearl"], L["S_Shadow Pearl"], L["S_Jaggal Pearl"], L["S_Aquamarine"], L["S_Star Ruby"], L["S_Blood of the Mountain"], L["S_Blue Sapphire"], L["S_Large Opal"], L["S_Azerothian Diamond"], L["S_Huge Emerald"], L["S_Arcane Crystal"]},
			color = {"32ff32", "e0ffff", "ffa62f", "f433ff", "fdd7e4", "52d017", "7dfdfe", "4ae75a", "ffe26b", "ffb039", "1569c7", "297ddb", "fff8dc", "75f5ca", "ff5449", "e1362b", "2b65ec", "ffc321", "f9f8f6", "5ffb17", "ffff28"}
		},
		bc = {
			id = {21929, 23077, 23079, 23107, 23112, 23117, 23436, 23437, 23438, 23439, 23440, 23441, 32227, 32228, 32229, 32230, 32231, 32249, 25867, 25868 },
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Flame Spessarite"], L["Blood Garnet"], L["Deep Peridot"], L["Shadow Draenite"], L["Golden Draenite"], L["Azure Moonstone"], L["Living Ruby"], L["Talasite"], L["Star of Elune"], L["Noble Topaz"], L["Dawnstone"], L["Nightseye"], L["Crimson Spinel"], L["Empyrean Sapphire"], L["Lionseye"], L["Shadowsong Amethyst"], L["Pyrestone"], L["Seaspray Emerald"], L["Earthstorm Diamond"], L["Skyfire Diamond"]},
			short = {L["S_Flame Spessarite"], L["S_Blood Garnet"], L["S_Deep Peridot"], L["S_Shadow Draenite"], L["S_Golden Draenite"], L["S_Azure Moonstone"], L["S_Living Ruby"], L["S_Talasite"], L["S_Star of Elune"], L["S_Noble Topaz"], L["S_Dawnstone"], L["S_Nightseye"], L["S_Crimson Spinel"], L["S_Empyrean Sapphire"], L["S_Lionseye"], L["S_Shadowsong Amethyst"], L["S_Pyrestone"], L["S_Seaspray Emerald"], L["S_Earthstorm Diamond"], L["S_Skyfire Diamond"]},
			color = {"ff8040", "ff2400", "00ff22", "c974ff", "ffe42b", "306eff", "f62217", "8be102", "2ab3ff", "ffaf34", "fff133", "c974ff", "ff362b", "0dd6e1", "ffe62b", "8d38c9", "ffa500", "7fe817", "b6b6b4", "bcc6cc"}
		},
		lk = {
			id = {45054, 36917, 36920, 36923, 36926, 36929, 36932, 36784, 36783, 36918, 36921, 36924, 36927, 36930, 36933, 36919, 36922, 36925, 36928, 36931, 36934, 41266, 41334, 42225 },
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Prismatic Black Diamond"], L["Bloodstone"], L["Sun Crystal"], L["Chalcedony"], L["Shadow Crystal"], L["Huge Citrine"], L["Dark Jade"], L["Siren's Tear"], L["Northsea Pearl"], L["Scarlet Ruby"], L["Autumn's Glow"], L["Sky Sapphire"], L["Twilight Opal"], L["Monarch Topaz"], L["Forest Emerald"], L["Cardinal Ruby"], L["King's Amber"], L["Majestic Zircon"], L["Dreadstone"], L["Ametrine"], L["Eye of Zul"], L["Skyflare Diamond"], L["Earthsiege Diamond"], L["Dragon's Eye"]},
			short = {L["S_Prismatic Black Diamond"], L["S_Bloodstone"], L["S_Sun Crystal"], L["S_Chalcedony"], L["S_Shadow Crystal"], L["S_Huge Citrine"], L["S_Dark Jade"], L["S_Siren's Tear"], L["S_Northsea Pearl"], L["S_Scarlet Ruby"], L["S_Autumn's Glow"], L["S_Sky Sapphire"], L["S_Twilight Opal"], L["S_Monarch Topaz"], L["S_Forest Emerald"], L["S_Cardinal Ruby"], L["S_King's Amber"], L["S_Majestic Zircon"], L["S_Dreadstone"], L["S_Ametrine"], L["S_Eye of Zul"], L["S_Skyflare Diamond"], L["S_Earthsiege Diamond"], L["S_Dragon's Eye"]},
			color = {"a4a0c6", "ff2400", "ffd801", "38acec", "893bff", "ffa500", "59e817", "2b60de", "bcc6cc", "ff2400", "ffd801", "38acec", "893bff", "ffa500", "59e817", "ff2400", "ffd801", "38acec", "893bff", "ffa500", "59e817", "b6b6b4", "bcc6cc", "f0ffff"}
		},
		cata = {
			id = {52338, 52177, 52178, 52179, 52180, 52181, 52182, 52190, 52191, 52192, 52193, 52194, 52195, 71805, 71806, 71807, 71808, 71809, 71810, 52303, 52196 },
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Darkfathom Pearl"], L["Carnelian"], L["Zephyrite"], L["Alicite"], L["Nightstone"], L["Hessonite"], L["Jasper"], L["Inferno Ruby"], L["Ocean Sapphire"], L["Dream Emerald"], L["Ember Topaz"], L["Demonseye"], L["Amberjewel"], L["Queen's Garnet"], L["Lightstone"], L["Deepholm Iolite"], L["Lava Coral"], L["Shadow Spinel"], L["Elven Peridot"], L["Shadowspirit Diamond"], L["Chimera's Eye"]},
			short = {L["S_Darkfathom Pearl"], L["S_Carnelian"], L["S_Zephyrite"], L["S_Alicite"], L["S_Nightstone"], L["S_Hessonite"], L["S_Jasper"], L["S_Inferno Ruby"], L["S_Ocean Sapphire"], L["S_Dream Emerald"], L["S_Ember Topaz"], L["S_Demonseye"], L["S_Amberjewel"], L["S_Queen's Garnet"], L["S_Lightstone"], L["S_Deepholm Iolite"], L["S_Lava Coral"], L["S_Shadow Spinel"], L["S_Elven Peridot"], L["S_Shadowspirit Diamond"], L["S_Chimera's Eye"]},
			color = {"bcc6cc", "ff2400", "38acec", "ffd801", "893bff", "ffa500", "59e817", "ff2400", "38acec", "59e817", "ffa500", "893bff", "ffd801", "ff2400", "ffd801", "38acec", "ffa500", "893bff", "59e817", "b6b6b4", "f0ffff"}
		},
		mop = {
			id = {76130, 76133, 76134, 76135, 76136, 76137, 76142, 76138, 76140, 76141, 76131, 76139, 76132, 76734 },
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Tiger Opal"], L["Lapis Lazuli"], L["Sunstone"], L["Roguestone"], L["Pandarian Garnet"], L["Alexandrite"], L["Sun's Radiance"], L["River's Heart"], L["Vermilion Onyx"], L["Imperial Amethyst"], L["Primordial Ruby"], L["Wild Jade"], L["Primal Diamond"], L["Serpent's Eye"]},
			short = {L["S_Tiger Opal"], L["S_Lapis Lazuli"], L["S_Sunstone"], L["S_Roguestone"], L["S_Pandarian Garnet"], L["S_Alexandrite"], L["S_Sun's Radiance"], L["S_River's Heart"], L["S_Vermilion Onyx"], L["S_Imperial Amethyst"], L["S_Primordial Ruby"], L["S_Wild Jade"], L["S_Primal Diamond"], L["S_Serpent's Eye"]},
			color = {"ffa500", "ffd801", "38acec", "893bff", "ff2400", "59e817", "ffd801", "38acec", "ffa500", "893bff", "ff2400", "59e817", "b6b6b4", "1a8dff"}
		},
		wod = {
			id = {115524 },
			itype = {0},
			strings = {L["Taladite Crystal"]},
			short = {L["S_Taladite Crystal"]},
			color = {"eeeeee"}
		},
		leg = {
			id = {130174, 130175, 130173, 130172, 130176, 130177, 130180, 130179, 130178, 130182, 130181, 130245, 130183 },
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Azsunite"], L["Chaotic Spinel"], L["Deep Amber"], L["Sangrite"], L["Skystone"], L["Queen's Opal"], L["Dawnlight"], L["Eye of Prophecy"], L["Furystone"], L["Maelstrom Sapphire"], L["Pandemonite"], L["Saber's Eye"], L["Shadow Ruby"]},
			short = {L["S_Azsunite"], L["S_Chaotic Spinel"], L["S_Deep Amber"], L["S_Sangrite"], L["S_Skystone"], L["S_Queen's Opal"], L["S_Dawnlight"], L["S_Eye of Prophecy"], L["S_Furystone"], L["S_Maelstrom Sapphire"], L["S_Pandemonite"], L["S_Saber's Eye"], L["S_Shadow Ruby"]},
			color = {"cfd20b", "61bd09", "e56800", "e51818", "009fff", "c701da", "cfd20b", "e56800", "e51818", "009fff", "61bd09", "c970d2", "c701da"}
		},
	},
	Herbs = {
		van = {
			id = {765, 2447, 108319, 2449, 108318, 785, 108321, 2452, 108320, 2450, 108330, 3820, 108322, 2453, 108323, 3355, 108327, 3369, 108324, 3356, 108325, 3357, 108328, 3818, 108331, 3821, 108326, 3358, 108329, 3819, 8153, 108332, 4625, 108333, 8831, 108334, 8836, 108335, 8838, 108336, 8839, 108337, 8845, 108338, 8846, 108340, 13464, 108339, 13463, 108341, 13465, 108342, 13466, 108343, 13467, 13468},
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Silverleaf"], L["Peacebloom"], L["Earthroot Stem"], L["Earthroot"], L["Mageroyal Petal"], L["Mageroyal"], L["Swiftthistle Leaf"], L["Swiftthistle"], L["Briarthorn Bramble"], L["Briarthorn"], L["Strangekelp Blade"], L["Strangekelp"], L["Bruiseweed Stem"], L["Bruiseweed"], L["Wild Steelbloom Petal"], L["Wild Steelbloom"], L["Grave Moss Leaf"], L["Grave Moss"], L["Kingsblood Petal"], L["Kingsblood"], L["Liferoot Stem"], L["Liferoot"], L["Fadeleaf Petal"], L["Fadeleaf"], L["Goldthorn Bramble"], L["Goldthorn"], L["Khadgar's Whisker Stem"], L["Khadgar's Whisker"], L["Dragon's Teeth Stem"], L["Dragon's Teeth"], L["Wildvine"], L["Firebloom Petal"], L["Firebloom"], L["Purple Lotus Petal"], L["Purple Lotus"], L["Arthas' Tears Petal"], L["Arthas' Tears"], L["Sungrass Stalk"], L["Sungrass"], L["Blindweed Stem"], L["Blindweed"], L["Ghost Mushroom Cap"], L["Ghost Mushroom"], L["Gromsblood Leaf"], L["Gromsblood"], L["Golden Sansam Leaf"], L["Golden Sansam"], L["Dreamfoil Blade"], L["Dreamfoil"], L["Mountain Silversage Stalk"], L["Mountain Silversage"], L["Sorrowmoss Leaf"], L["Sorrowmoss"], L["Icecap Petal"], L["Icecap"], L["Black Lotus"]},
			short = {L["S_Silverleaf"], L["S_Peacebloom"], L["S_Earthroot Stem"], L["S_Earthroot"], L["S_Mageroyal Petal"], L["S_Mageroyal"], L["S_Swiftthistle Leaf"], L["S_Swiftthistle"], L["S_Briarthorn Bramble"], L["S_Briarthorn"], L["S_Strangekelp Blade"], L["S_Strangekelp"], L["S_Bruiseweed Stem"], L["S_Bruiseweed"], L["S_Wild Steelbloom Petal"], L["S_Wild Steelbloom"], L["S_Grave Moss Leaf"], L["S_Grave Moss"], L["S_Kingsblood Petal"], L["S_Kingsblood"], L["S_Liferoot Stem"], L["S_Liferoot"], L["S_Fadeleaf Petal"], L["S_Fadeleaf"], L["S_Goldthorn Bramble"], L["S_Goldthorn"], L["S_Khadgar's Whisker Stem"], L["S_Khadgar's Whisker"], L["S_Dragon's Teeth Stem"], L["S_Dragon's Teeth"], L["S_Wildvine"], L["S_Firebloom Petal"], L["S_Firebloom"], L["S_Purple Lotus Petal"], L["S_Purple Lotus"], L["S_Arthas' Tears Petal"], L["S_Arthas' Tears"], L["S_Sungrass Stalk"], L["S_Sungrass"], L["S_Blindweed Stem"], L["S_Blindweed"], L["S_Ghost Mushroom Cap"], L["S_Ghost Mushroom"], L["S_Gromsblood Leaf"], L["S_Gromsblood"], L["S_Golden Sansam Leaf"], L["S_Golden Sansam"], L["S_Dreamfoil Blade"], L["S_Dreamfoil"], L["S_Mountain Silversage Stalk"], L["S_Mountain Silversage"], L["S_Sorrowmoss Leaf"], L["S_Sorrowmoss"], L["S_Icecap Petal"], L["S_Icecap"], L["S_Black Lotus"]},
			color = {"90ee90", "e0ffff", "ffe4b5", "ffe4b5", "db7093", "db7093", "98fb98", "98fb98", "f4a460", "f4a460", "66cdaa", "66cdaa", "adff2f", "adff2f", "ffd700", "ffd700", "fffafa", "fffafa", "ee82ee", "ee82ee", "ffe4c4", "ffe4c4", "8fbc8f", "8fbc8f", "b8860b", "b8860b", "3cb371", "3cb371", "ff7f50", "ff7f50", "ee82ee", "ff4500", "ff4500", "dda0dd", "dda0dd", "ba55d3", "ba55d3", "ffd700", "ffd700", "afeeee", "afeeee", "f8f8ff", "f8f8ff", "cd5c5c", "cd5c5c", "bdb76b", "bdb76b", "9370db", "9370db", "87ceeb", "87ceeb", "9370db", "9370db", "00bfff", "00bfff", "5f9ea0" }
		},
		bc = {
			id = {108334, 22785, 108345, 22786, 109347, 22789, 108346, 22787, 108348, 22790, 22794, 108349, 22791, 108350, 22792, 108351, 22793},
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Felweed Stalk"], L["Felweed"], L["Dreaming Glory Petal"], L["Dreaming Glory"], L["Terocone Leaf"], L["Terocone"], L["Ragveil Cap"], L["Ragveil"], L["Ancient Lichen Petal"], L["Ancient Lichen"], L["Fel Lotus"], L["Netherbloom Leaf"], L["Netherbloom"], L["Nightmare Vine Stem"], L["Nightmare Vine"], L["Mana Thistle Leaf"], L["Mana Thistle"]},
			short = {L["S_Felweed Stalk"], L["S_Felweed"], L["S_Dreaming Glory Petal"], L["S_Dreaming Glory"], L["S_Terocone Leaf"], L["S_Terocone"], L["S_Ragveil Cap"], L["S_Ragveil"], L["S_Ancient Lichen Petal"], L["S_Ancient Lichen"], L["S_Fel Lotus"], L["S_Netherbloom Leaf"], L["S_Netherbloom"], L["S_Nightmare Vine Stem"], L["S_Nightmare Vine"], L["S_Mana Thistle Leaf"], L["S_Mana Thistle"]},
			color = {"00ff7f", "00ff7f", "ffd700", "ffd700", "66cdaa", "66cdaa", "ffe4c4", "ffe4c4", "98fb98", "98fb98", "66cdaa", "ffa07a", "ffa07a", "9acd32", "9acd32", "00bfff", "00bfff" }
		},
		lk = {
			id = {108352, 36901, 108354, 36904, 108357, 36907, 108358, 37921, 108359, 39970, 108353, 36903, 36908, 108355, 36905, 108356, 36906},
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Goldclover Leaf"], L["Goldclover"], L["TigerLily Petal"], L["TigerLily"], L["Talandra's Rose Petal"], L["Talandra's Rose"], L["Deadnettle Bramble"], L["Deadnettle"], L["Fire Leaf Bramble"], L["Fire Leaf"], L["Adder's Tongue Stem"], L["Adder's Tongue"], L["Frost Lotus"], L["Lichbloom Stalk"], L["Lichbloom"], L["Icethorn Bramble"], L["Icethorn"]},
			short = {L["S_Goldclover Leaf"], L["S_Goldclover"], L["S_TigerLily Petal"], L["S_TigerLily"], L["S_Talandra's Rose Petal"], L["S_Talandra's Rose"], L["S_Deadnettle Bramble"], L["S_Deadnettle"], L["S_Fire Leaf Bramble"], L["S_Fire Leaf"], L["S_Adder's Tongue Stem"], L["S_Adder's Tongue"], L["S_Frost Lotus"], L["S_Lichbloom Stalk"], L["S_Lichbloom"], L["S_Icethorn Bramble"], L["S_Icethorn"]},
			color = {"ffd700", "ffd700", "ff8c00", "ff8c00", "dc143c", "dc143c", "cd853f", "cd853f", "ff4500", "ff4500", "00fa9a", "00fa9a", "87cefa", "b0e0e6", "b0e0e6", "00bfff", "00bfff" }
		},
		cata = {
			id = {108360, 52983, 108361, 52984, 108362, 52985, 108363, 52986, 108365, 52988, 108364, 52987},
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Cinderbloom Petal"], L["Cinderbloom"], L["Stormvine Stalk"], L["Stormvine"], L["Azshara's Veil Stem"], L["Azshara's Veil"], L["Heartblossom Petal"], L["Heartblossom"], L["Whiptail Stem"], L["Whiptail"], L["Twilight Jasmine Petal"], L["Twilight Jasmine"]},
			short = {L["S_Cinderbloom Petal"], L["S_Cinderbloom"], L["S_Stormvine Stalk"], L["S_Stormvine"], L["S_Azshara's Veil Stem"], L["S_Azshara's Veil"], L["S_Heartblossom Petal"], L["S_Heartblossom"], L["S_Whiptail Stem"], L["S_Whiptail"], L["S_Twilight Jasmine Petal"], L["S_Twilight Jasmine"]},
			color = {"ff4500", "ff4500", "00bfff", "00bfff", "7fffd4", "7fffd4", "ff4500", "ff4500", "bdb76b", "bdb76b", "ee82ee", "ee82ee" }
		},
		mop = {
			id = {97624, 97619, 72234, 97620, 72237, 97621, 72235, 97622, 79010, 97623, 79011, 72238},
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Desecrated Herb Pod"], L["Torn Green Tea Leaf"], L["Green Tea Leaf"], L["Rain Poppy Petal"], L["Rain Poppy"], L["Silkweed Stem"], L["Silkweed"], L["Snow Lily Petal"], L["Snow Lily"], L["Fool's Cap Spores"], L["Fool's Cap"], L["Golden Lotus"]},
			short = {L["S_Desecrated Herb Pod"], L["S_Torn Green Tea Leaf"], L["S_Green Tea Leaf"], L["S_Rain Poppy Petal"], L["S_Rain Poppy"], L["S_Silkweed Stem"], L["S_Silkweed"], L["S_Snow Lily Petal"], L["S_Snow Lily"], L["S_Fool's Cap Spores"], L["S_Fool's Cap"], L["S_Golden Lotus"]},
			color = {"d3d3d3", "98fb98", "98fb98", "ffc0cb", "ffc0cb", "adff2f", "adff2f", "afeeee", "afeeee", "e9967a", "e9967a", "f0e68c" }
		},
		wod = {
			id = {109624, 109124, 109625, 109125, 109626, 109126, 109627, 109127, 109628, 109128, 109629, 109129, 109130},
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Broken Frostweed Stem"], L["Frostweed"], L["Broken Fireweed Stem"], L["Fireweed"], L["Gorgrond Flytrap Ichor"], L["Gorgrond Flytrap"], L["Starflower Petal"], L["Starflower"], L["Nagrand Arrowbloom Petal"], L["Nagrand Arrowbloom"], L["Talador Orchid Petal"], L["Talador Orchid"], L["Chameleon Lotus"]},
			short = {L["S_Broken Frostweed Stem"], L["S_Frostweed"], L["S_Broken Fireweed Stem"], L["S_Fireweed"], L["S_Gorgrond Flytrap Ichor"], L["S_Gorgrond Flytrap"], L["S_Starflower Petal"], L["S_Starflower"], L["S_Nagrand Arrowbloom Petal"], L["S_Nagrand Arrowbloom"], L["S_Talador Orchid Petal"], L["S_Talador Orchid"], L["S_Chameleon Lotus"]},
			color = {"00b2ee", "00b2ee", "cd3700", "cd3700", "90ee90", "90ee90", "1c86ee", "1c86ee", "00ced1", "00ced1", "cd69c9", "cd69c9", "ffec8b" }
		},
		leg = {
			id = {129284, 129285, 129289, 129287, 129286, 129288, 128304, 124101, 124102, 124106, 124104, 124103, 124105},
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Aethril Seed"], L["Dreamleaf Seed"], L["Felwort Seed"], L["Fjarnskaggl Seed"], L["Foxflower Seed"], L["Starlight Rose Seed"], L["Yseralline Seed"], L["Aethril"], L["Dreamleaf"], L["Felwort"], L["Fjarnskaggl"], L["Foxflower"], L["Starlight Rose"]},
			short = {L["S_Aethril Seed"], L["S_Dreamleaf Seed"], L["S_Felwort Seed"], L["S_Fjarnskaggl Seed"], L["S_Foxflower Seed"], L["S_Starlight Rose Seed"], L["S_Yseralline Seed"], L["S_Aethril"], L["S_Dreamleaf"], L["S_Felwort"], L["S_Fjarnskaggl"], L["S_Foxflower"], L["S_Starlight Rose"]},
			color = {"db003e", "aedb00", "d5db00", "dbbf00", "db9400", "00b0db", "00db5f", "db003e", "aedb00", "d5db00", "dbbf00", "db9400", "00b0db" }
		},
	},
}

local itemTypes = {
	[1] = L["Cloth"],
	[2] = L["Bolt of"],
	[3] = L["Lesser"],
	[4] = L["Greater"],
	[5] = L["Small"],
	[6] = L["Large"],
}

local shortItemtypes = {
	[1] = L["S_Cloth"],
	[2] = L["S_Bolt of"],
	[3] = L["S_Lesser"],
	[4] = L["S_Greater"],
	[5] = L["S_Small"],
	[6] = L["S_Large"],
}

private.data = data
private.itemTypes = itemTypes
private.shortItemtypes = shortItemtypes
